### Hierarchy

- BaseForLines
  - LevelMap
  - MessageLevel
  - GameSound
  - AbstractCommand
  - SimpleRuleGroup
  - SimpleRule
  - SimpleTileWithModifier
  - ISimpleBracket
  - SimpleNeighbor
  - WinConditionSimple
  - HexColor
  - TransparentColor
  - GameSprite
  - GameLegendTile
  - CollisionLayer

## Index

### Constructors

- constructor

### Properties

- __coverageCount
- __source

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- __incrementCoverage
- toSourceString
- toString

## Constructors

### constructor

- new BaseForLines(source: IGameCode): BaseForLines

- - Defined in models/BaseForLines.ts:69

  #### Parameters

  - ##### source: IGameCode

  #### Returns BaseForLines

## Properties

### __coverageCount

__coverageCount: Optional<number>

- Defined in models/BaseForLines.ts:69

### __source

__source: IGameCode

- Defined in models/BaseForLines.ts:68

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- - Defined in models/BaseForLines.ts:96

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- - Defined in models/BaseForLines.ts:81

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

### __incrementCoverage

- __incrementCoverage(): void

- - Defined in models/BaseForLines.ts:104

  #### Returns void

### toSourceString

- toSourceString(): string

- - Defined in models/BaseForLines.ts:90

  #### Returns string

### toString

- toString(): string

- - Defined in models/BaseForLines.ts:85

  #### Returns string

Generated using TypeDoc